1

When I try to upgrade, I get the following error:

sudo aptitude upgrade
Resolving dependencies...                
open: 217520; closed: 114638; defer: 5; conflict: 6                            O
terminate called after throwing an instance of 'std::bad_alloc'
  what():  std::bad_alloc

If I try using Software Updater, first I get a dialog that says not all updates can be installed

Run a partial upgrade ... When I try that, it says installation requires untrusted software and terminates. I tried going through the packages that do need to get upgraded but there are many and not easy to figure out which is causing the problem.

Any hints or helps is greatly appreciated. I can't afford to let this machine to get obsolete and unsupported.

My current release is

DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.04
DISTRIB_CODENAME=trusty
DISTRIB_DESCRIPTION="Ubuntu 14.04.2 LTS"

Complete output of sudo apt-get update

Ign dl.google.com stable InRelease
Hit dl.google.com stable Release.gpg
Ign us.archive.ubuntu.com utopic InRelease
Ign security.ubuntu.com utopic-security InRelease
Hit dl.google.com stable Release
Ign us.archive.ubuntu.com utopic-updates InRelease
Hit security.ubuntu.com trusty-security InRelease
Ign extras.ubuntu.com utopic InRelease
Hit archive.canonical.com utopic InRelease
Ign archive.ubuntu.com trusty InRelease
Ign ppa.launchpad.net trusty InRelease
Hit dl.google.com stable/main i386 Packages
Ign us.archive.ubuntu.com utopic Release.gpg
Ign security.ubuntu.com utopic-security Release.gpg
Hit extras.ubuntu.com utopic Release.gpg
Hit archive.canonical.com natty InRelease
Ign us.archive.ubuntu.com utopic-updates Release.gpg
Hit security.ubuntu.com trusty-security/main i386 Packages
Hit archive.ubuntu.com trusty-updates InRelease
Hit ppa.launchpad.net trusty Release.gpg
Ign us.archive.ubuntu.com utopic Release
Hit security.ubuntu.com trusty-security/multiverse i386 Packages
Hit extras.ubuntu.com utopic Release
Hit archive.canonical.com utopic/partner i386 Packages
Hit archive.ubuntu.com trusty Release.gpg
Ign us.archive.ubuntu.com utopic-updates Release
Hit ppa.launchpad.net trusty Release
Hit security.ubuntu.com trusty-security/restricted i386 Packages
Ign us.archive.ubuntu.com utopic/main Sources/DiffIndex
Hit security.ubuntu.com trusty-security/universe i386 Packages
Hit extras.ubuntu.com utopic/main Sources
Hit archive.canonical.com utopic/partner Translation-en
Hit archive.ubuntu.com trusty-updates/main i386 Packages
Hit ppa.launchpad.net trusty/main i386 Packages
Ign us.archive.ubuntu.com utopic/restricted Sources/DiffIndex
Hit security.ubuntu.com trusty-security/main Translation-en
Hit extras.ubuntu.com utopic/main i386 Packages
Ign us.archive.ubuntu.com utopic/universe Sources/DiffIndex
Hit security.ubuntu.com trusty-security/multiverse Translation-en
Hit archive.canonical.com natty/partner Sources
Hit archive.ubuntu.com trusty-updates/multiverse i386 Packages
Hit ppa.launchpad.net trusty/main Translation-en
Ign us.archive.ubuntu.com utopic/multiverse Sources/DiffIndex
Hit security.ubuntu.com trusty-security/restricted Translation-en
Ign us.archive.ubuntu.com utopic/main i386 Packages/DiffIndex
Hit archive.ubuntu.com trusty-updates/restricted i386 Packages
Hit security.ubuntu.com trusty-security/universe Translation-en
Ign us.archive.ubuntu.com utopic/restricted i386 Packages/DiffIndex
Ign security.ubuntu.com utopic-security Release
Ign dl.google.com stable/main Translation-en_US
Ign dl.google.com stable/main Translation-en
Hit archive.ubuntu.com trusty-updates/universe i386 Packages
Ign us.archive.ubuntu.com utopic/universe i386 Packages/DiffIndex
Ign security.ubuntu.com utopic-security/main Sources/DiffIndex
Ign us.archive.ubuntu.com utopic/multiverse i386 Packages/DiffIndex
Ign security.ubuntu.com utopic-security/restricted Sources/DiffIndex
Hit archive.ubuntu.com trusty-updates/main Translation-en
Ign security.ubuntu.com utopic-security/universe Sources/DiffIndex
Ign security.ubuntu.com utopic-security/multiverse Sources/DiffIndex
Hit archive.ubuntu.com trusty-updates/multiverse Translation-en
Ign security.ubuntu.com utopic-security/main i386 Packages/DiffIndex
Hit archive.ubuntu.com trusty-updates/restricted Translation-en
Ign security.ubuntu.com utopic-security/restricted i386 Packages/DiffIndex
Ign security.ubuntu.com utopic-security/universe i386 Packages/DiffIndex
Hit archive.ubuntu.com trusty-updates/universe Translation-en
Hit archive.ubuntu.com trusty Release
Ign security.ubuntu.com utopic-security/multiverse i386 Packages/DiffIndex
Hit archive.ubuntu.com trusty/main Sources
Ign extras.ubuntu.com utopic/main Translation-en_US
Ign us.archive.ubuntu.com utopic-updates/main Sources/DiffIndex
Hit archive.ubuntu.com trusty/universe Sources
Ign us.archive.ubuntu.com utopic-updates/restricted Sources/DiffIndex
Ign extras.ubuntu.com utopic/main Translation-en
Ign us.archive.ubuntu.com utopic-updates/universe Sources/DiffIndex
Hit archive.ubuntu.com trusty/restricted Sources
Ign us.archive.ubuntu.com utopic-updates/multiverse Sources/DiffIndex
Ign us.archive.ubuntu.com utopic-updates/main i386 Packages/DiffIndex
Hit archive.ubuntu.com trusty/multiverse Sources
Ign us.archive.ubuntu.com utopic-updates/restricted i386 Packages/DiffIndex
Ign us.archive.ubuntu.com utopic-updates/universe i386 Packages/DiffIndex
Hit archive.ubuntu.com trusty/main i386 Packages
Ign us.archive.ubuntu.com utopic-updates/multiverse i386 Packages/DiffIndex
Hit archive.ubuntu.com trusty/universe i386 Packages
Hit archive.ubuntu.com trusty/restricted i386 Packages
Hit archive.ubuntu.com trusty/multiverse i386 Packages
Hit archive.ubuntu.com trusty/main Translation-en
Hit archive.ubuntu.com trusty/multiverse Translation-en
Hit archive.ubuntu.com trusty/restricted Translation-en
Hit archive.ubuntu.com trusty/universe Translation-en
Ign archive.ubuntu.com trusty/main Translation-en_US
Ign archive.ubuntu.com trusty/multiverse Translation-en_US
Ign archive.ubuntu.com trusty/restricted Translation-en_US
Ign archive.ubuntu.com trusty/universe Translation-en_US
Ign security.ubuntu.com utopic-security/main Translation-en_US
Ign security.ubuntu.com utopic-security/main Translation-en
Ign security.ubuntu.com utopic-security/multiverse Translation-en_US
Ign security.ubuntu.com utopic-security/multiverse Translation-en
Ign security.ubuntu.com utopic-security/restricted Translation-en_US
Ign security.ubuntu.com utopic-security/restricted Translation-en
Ign security.ubuntu.com utopic-security/universe Translation-en_US
Ign security.ubuntu.com utopic-security/universe Translation-en
Err security.ubuntu.com utopic-security/main Sources
  404  Not Found [IP: 91.189.91.23 80]
Err security.ubuntu.com utopic-security/restricted Sources
  404  Not Found [IP: 91.189.91.23 80]
Err security.ubuntu.com utopic-security/universe Sources
  404  Not Found [IP: 91.189.91.23 80]
Err security.ubuntu.com utopic-security/multiverse Sources
  404  Not Found [IP: 91.189.91.23 80]
Err security.ubuntu.com utopic-security/main i386 Packages
  404  Not Found [IP: 91.189.91.23 80]
Err security.ubuntu.com utopic-security/restricted i386 Packages
  404  Not Found [IP: 91.189.91.23 80]
Err security.ubuntu.com utopic-security/universe i386 Packages
  404  Not Found [IP: 91.189.91.23 80]
Err security.ubuntu.com utopic-security/multiverse i386 Packages
  404  Not Found [IP: 91.189.91.23 80]
Ign us.archive.ubuntu.com utopic/main Translation-en_US
Ign us.archive.ubuntu.com utopic/main Translation-en
Ign us.archive.ubuntu.com utopic/multiverse Translation-en_US
Ign us.archive.ubuntu.com utopic/multiverse Translation-en
Ign us.archive.ubuntu.com utopic/restricted Translation-en_US
Ign us.archive.ubuntu.com utopic/restricted Translation-en
Ign us.archive.ubuntu.com utopic/universe Translation-en_US
Ign us.archive.ubuntu.com utopic/universe Translation-en
Ign us.archive.ubuntu.com utopic-updates/main Translation-en_US
Ign us.archive.ubuntu.com utopic-updates/main Translation-en
Ign us.archive.ubuntu.com utopic-updates/multiverse Translation-en_US
Ign us.archive.ubuntu.com utopic-updates/multiverse Translation-en
Ign us.archive.ubuntu.com utopic-updates/restricted Translation-en_US
Ign us.archive.ubuntu.com utopic-updates/restricted Translation-en
Ign us.archive.ubuntu.com utopic-updates/universe Translation-en_US
Ign us.archive.ubuntu.com utopic-updates/universe Translation-en
Err us.archive.ubuntu.com utopic/main Sources
  404  Not Found [IP: 91.189.91.13 80]
Err us.archive.ubuntu.com utopic/restricted Sources
  404  Not Found [IP: 91.189.91.13 80]
Err us.archive.ubuntu.com utopic/universe Sources
  404  Not Found [IP: 91.189.91.13 80]
Err us.archive.ubuntu.com utopic/multiverse Sources
  404  Not Found [IP: 91.189.91.13 80]
Err us.archive.ubuntu.com utopic/main i386 Packages
  404  Not Found [IP: 91.189.91.13 80]
Err us.archive.ubuntu.com utopic/restricted i386 Packages
  404  Not Found [IP: 91.189.91.13 80]
Err us.archive.ubuntu.com utopic/universe i386 Packages
  404  Not Found [IP: 91.189.91.13 80]
Err us.archive.ubuntu.com utopic/multiverse i386 Packages
  404  Not Found [IP: 91.189.91.13 80]
Err us.archive.ubuntu.com utopic-updates/main Sources
  404  Not Found [IP: 91.189.91.13 80]
Err us.archive.ubuntu.com utopic-updates/restricted Sources
  404  Not Found [IP: 91.189.91.13 80]
Err us.archive.ubuntu.com utopic-updates/universe Sources
  404  Not Found [IP: 91.189.91.13 80]
Err us.archive.ubuntu.com utopic-updates/multiverse Sources
  404  Not Found [IP: 91.189.91.13 80]
Err us.archive.ubuntu.com utopic-updates/main i386 Packages
  404  Not Found [IP: 91.189.91.13 80]
Err us.archive.ubuntu.com utopic-updates/restricted i386 Packages
  404  Not Found [IP: 91.189.91.13 80]
Err us.archive.ubuntu.com utopic-updates/universe i386 Packages
  404  Not Found [IP: 91.189.91.13 80]
Err us.archive.ubuntu.com utopic-updates/multiverse i386 Packages
  404  Not Found [IP: 91.189.91.13 80]
  • Which command did you use??? – Raphael Dec 28 '15 at 6:05
  • I used sudo apt-get upgrade – Payaam Dec 28 '15 at 20:24
5

You cannot directly upgrade from Ubuntu 14.04 to Ubuntu 15.10 (the latest version). You must do in sequence, so from 14.04, you need to upgrade to 14.10, and then 15.04 and finally 15.10. Followings are steps to upgrade from 14.04 LTS to 14.10 and so on:

Edit the file /etc/update-manager/release-upgrades:

sudo nano /etc/update-manager/release-upgrades

and change Prompt=lts to Prompt=normal

Install update-manager-core:

sudo apt-get install update-manager-core

Now launch the command:

sudo do-release-upgrade

Eventually, reboot the system.

  • Thanks. When I try this, I get this warning and if I answer [y], it aborts with this prompt WARNING: The following packages cannot be authenticated! python3-update-manager update-manager-core update-manager Install these packages without verification? [y/N] 404 Not Found [IP: 91.189.91.13 80] .... [ommitted].... and then I get this E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing? – Payaam Dec 29 '15 at 5:48
  • Have you run sudo apt-get update before upgrading? – Tung Tran Dec 29 '15 at 6:14
  • I have. But I get this error E: Some index files failed to download. They have been ignored, or old ones used instead. – Payaam Dec 29 '15 at 7:06
  • when I try the sudo apt-get install update-manager-core, I get this error WARNING: The following packages cannot be authenticated! python3-update-manager update-manager-core update-manager /// is there a way to ignore the python3 package? when I ask it to continue without authenticating the package, it again aborts – Payaam Dec 29 '15 at 7:07
  • This is the tail of the error when trying to install update-manager-core E: Failed to fetch us.archive.ubuntu.com/ubuntu/pool/main/u/update-manager/… 404 Not Found [IP: 91.189.91.23 80] – Payaam Dec 29 '15 at 7:07

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.